summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Yth - Arnaud <yth@ythogtha.org>2019-10-25 15:13:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-10-25 15:13:11 +0700
commit45bd9f669366d1df24fa7e646161aaa95cfc3404 (patch)
tree2eba6c38347b7f27de686e8025cdd00c29da4e45 /python
parentcbad94d5eb06c13792285cf53a6e80ce1afbc78c (diff)
downloadslackbuilds-45bd9f669366d1df24fa7e646161aaa95cfc3404.tar.gz
slackbuilds-45bd9f669366d1df24fa7e646161aaa95cfc3404.tar.xz
python/gearbox: Added (Python Module).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/gearbox/README8
-rw-r--r--python/gearbox/gearbox.SlackBuild69
-rw-r--r--python/gearbox/gearbox.info10
-rw-r--r--python/gearbox/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/python/gearbox/README b/python/gearbox/README
new file mode 100644
index 0000000000..911ad0d771
--- /dev/null
+++ b/python/gearbox/README
@@ -0,0 +1,8 @@
+Gearbox is a paster command replacement for TurboGears2.
+It has been created during the process of providing Python3 support to the
+TurboGears2 web framework, while still being backward compatible with the
+existing TurboGears projects.
+
+Gearbox is based on a stripped down version of Cliff command line framework,
+you might want to consider Cliff for more advanced use cases and custom
+command interpreters.
diff --git a/python/gearbox/gearbox.SlackBuild b/python/gearbox/gearbox.SlackBuild
new file mode 100644
index 0000000000..10bbe23791
--- /dev/null
+++ b/python/gearbox/gearbox.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# SlackBuild script for gearbox.
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gearbox
+VERSION=${VERSION:-0.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* MANIFEST.in $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/gearbox/gearbox.info b/python/gearbox/gearbox.info
new file mode 100644
index 0000000000..5e43dedad2
--- /dev/null
+++ b/python/gearbox/gearbox.info
@@ -0,0 +1,10 @@
+PRGNAM="gearbox"
+VERSION="0.2.1"
+HOMEPAGE="https://github.com/TurboGears/gearbox"
+DOWNLOAD="https://github.com/TurboGears/gearbox/archive/0.2.1/gearbox-0.2.1.tar.gz"
+MD5SUM="286e7c6f73b61a41b5fd416ba2c835ad"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="hupper PasteDeploy tempita"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/python/gearbox/slack-desc b/python/gearbox/slack-desc
new file mode 100644
index 0000000000..b4b0912eb9
--- /dev/null
+++ b/python/gearbox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gearbox: gearbox (Python module)
+gearbox:
+gearbox: Command line toolkit born as a paster command replacement for the
+gearbox: TurboGears2 web framework
+gearbox:
+gearbox:
+gearbox:
+gearbox:
+gearbox:
+gearbox:
+gearbox: